Skip to content

List hooks

GET
https://app.gitpando.com/v1/monorepos/{owner}/{monorepo}/repos/{repo}/hooks

Authorisation

  • credentialoptionalHTTP
  • sessionoptionalAPI key in cookie

Path parameters

  • ownerstringrequired

    The monorepo's owner, a namespace (a person's login or an organization). Matched without case.

    pattern: ^[a-z0-9](?:[a-z0-9]|-(?=[a-z0-9])){0,38}$
  • monorepostringrequired

    The monorepo's name within its owner (or an old name). Matched without case.

    pattern: ^[a-z0-9](?:[a-z0-9._]|-(?!-)){0,38}$
  • repostringrequired

    The repo's name (projects-web).

Returns

200

OK

JSON
  • hooksarray ofobjectrequired
    9 properties
    • idstringrequired
    • typeweborbuildkiterequired
    • eventsarray ofpushorbranch.openedormergedortagrequired
    • activebooleanrequired
    • created_atstringrequired
      format: date-time
    • urloptionalstring | null
    • buildkiteoptionalobject | null
      2 properties
      • organizationoptionalstring
      • pipelineoptionalstring
    • appoptionalstring | null

      The app its status tokens stamp: buildkite for a buildkite hook, a web hook's own app, or null.

    • created_byoptionalstring
Navigation

Type to search…

↑↓ navigate↵ selectEsc close